Bug 115507 - When sound activates in kde i get CPU overload aborting error
When sound activates in kde i get CPU overload aborting error
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-02-12 23:31 EST by Stephen Jones
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-17 15:35:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
tested patch (869 bytes, patch)
2004-02-16 07:58 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Stephen Jones 2004-02-12 23:31:11 EST
Description of problem:
When sound activates in kde i get CPU overload aborting error

Version-Release number of selected component (if applicable):
Fedora Core 2 Test 1

How reproducible:
When computer starts in kde I get the error, also during logon the cpu
throtling fails dont know if there is relation

Steps to Reproduce:
1.enable sound in kde
3.login to kde 3.2
Actual results:

Expected results:

Additional info:
Comment 1 Ngo Than 2004-02-15 06:09:41 EST
Could you please post the error messages here?

what happen after the error message has appeared? come back to KDM
login screen?

There's a final version 3.2.0 in rawhide. Please try this version.
Comment 2 Phil Schaffner 2004-02-15 21:54:10 EST
Was also seeing this message frequently:

Error - artsmes

Sound server fatal error:
cpu overload, aborting


My hardware:
Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
Athlon 1GHz, VIA KT133

Started with first KDE update after install of FC2 test1, but has not
occurred since update to kdebase-3.2.0-0.4 kdemultimedia-3.2.0-1.3 today.

Comment 3 Michael Schwendt 2004-02-16 04:15:52 EST
artsd process starts with using 99.9% CPU and either aborts and
disables itself early, or CPU usage decreases very slowly only.

A work-around is to start KDE Control Centre > "Sound & Multimedia" >
"Sound System" > Hardware > and there in the "Select the audio device"
checkbox choose the "Advanced Linux Sound Architecture" (ALSA) instead
of the default "Autodetect".

I've seen sporadic reports about this also for Fedora Core 1 and ALSA
add-ons from fedora.us. aRtsd doesn't like ALSA's OSS compatibility layer.
Comment 4 Michael Schwendt 2004-02-16 07:58:27 EST
Created attachment 97700 [details]
tested patch

Applied to arts-1.2.0-0.3.src.rpm and works great for me so far. Also fixes the
massive CPU usage problem of artsd.

The corresponding KDE bug:

The corresponding bug-fix from Bero:


(Side-note: I've had to add a few missing build requirements, at least
glib2-devel, libvorbis-devel, audiofile-devel.).
Comment 5 Ngo Than 2004-02-17 15:35:40 EST
yes, it seems the patch from Bero has fixed this problem. It works for
me too. arts-1.2.0-1.4 has this thix. thanks

Note You need to log in before you can comment on or make changes to this bug.